import type { Writable } from 'svelte/store';
export declare type Value = string | number;
export declare type ElementType = 'option' | 'label';
export interface OptionsArray {
    val: Value;
    uuid: string;
    node?: HTMLElement;
}
export interface LabelsArray {
    uuid: string;
}
export interface API {
    ariaID: string;
    activeIndex: Writable<number>;
    activeValue: Writable<string | number>;
    registerElement: (type: ElementType, uuid: string, value?: Value) => number;
    registerNode: (uuid: string, node: HTMLElement) => void;
    unregisterElement: (type: ElementType, uuid: string) => void;
    handleClick: (e: KeyboardEvent) => void;
}
